@import "variables";

%content{
    .title-box{
        padding-bottom: 16px;
        position: relative;
        .title-section{
            font-size: 2.1vw;
        }
        .line1{
            position: absolute;
            bottom: 0;
            left: -2vw;
        }
    }
    .desc{
        @extend %desc;
    }
}
.jumbotron{
    .jumbo-img{
        height: 70vh !important;
    }
}
.about-box{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding:10vh 10% 16px;
    grid-gap: 4vw;
    .image-box{
        position: relative;
        height: 25vw;
        img{
            position: absolute;
            object-fit: cover;
            top: 5vh;
            right: -9.9vw;
            width: calc(100% + 10vw);
            height: 110%;
            max-width: unset;
            z-index: 2;
        }
        .line2{
            position: absolute;
            top: 0;
            right:-9.9vw;
            border-top:5px solid #8F762D;
            border-left:5px solid #8F762D;
            width: 7vw;
            height: 5vw;
            z-index: 1;
        }
    }
    .detail-box{
        padding:10px;
        @extend %content;
    }
}
.flock-box{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 4vw;
    padding:16px 10% 8vw;
    .image-box{
        position: relative;
        border:5px solid #8F762D;  
        height: 36.2vw;
        padding:10px;
        width: 90%;
        img{
            position: absolute;
            left: 2vw;
            top: -2vw;
            @extend %full-img-cover;
        }     
    }
    .detail-box{
        align-self: center;
        @extend %content;
    }
}
.other-box{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 45px;
    padding:16px 10%;
    .post-box{
        display: grid;
        grid-template-columns: 1fr;
        .image-box{
            position: relative;
            width: 100%;
            height: 22vw;
            img{
                z-index: 2;
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
            }
            .line2{
                position: absolute;
                width: 8vw;
                height: 8vw;
                border:5px solid #8F762D;    
                top: -3vw;
                right: -3vw;         
                z-index: 1;                     
            }
        }
        .desc{
            @extend %desc;
        }
    }
}
.single-img-box{
    padding:5vw 10%;
    img{
        width: 100%;
        height: 35vw;
        object-fit: cover;  
    }    
}